View Issue Details

IDProjectCategoryView StatusLast Update
0000277Usermanagement[Adventure PHP Framework] Bugpublic2015-12-03 08:15
ReporterChristianAchatzAssigned ToChristianAchatz 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version[Adventure PHP Framework] 3.0.2 
Target Version[Adventure PHP Framework] 3.0.3Fixed in Version[Adventure PHP Framework] 3.0.3 
Summary0000277: CLONE - Funktion loadUserByEMail gibt nicht relevante Daten der Tabelle aus.
DescriptionHeute ist mir aufgefallen das wenn ich mich einloggen will und danach etwas in dem geladenen Benutzer ändern will, ohne diesen nochmal zu laden, wird mir ein Fehler ausgeworfen.
Steps To Reproduce$User = $uM->loadUserByEMail(***);
$User->setFirstName('Neuer Name');
$uM->saveUser($User);
Additional InformationFehler im allgemeinen:
Undefined index: Source_ApplicationID
Undefined index: Target_UserID
Undefined index: ApplicationID

[MySQLiHandler->executeTextStatement()] (1054) Unknown column 'Source_ApplicationID' in 'field list' (Statement: UPDATE ent_user SET `DisplayName` = 'Umgt', `FirstName` = 'Christian', `LastName` = 'Merz', `StreetName` = '', `StreetNumber` = '', `ZIPCode` = '', `City` = 'Bremervörde', `EMail` = '*****', `Phone` = '', `Mobile` = '', `Username` = 'GCrime', `DynamicSalt` = '******', `LoveCharakter` = 'Richard Woolsey', `Birthday` = '1982-06-07 00:00:00', `Quote` = 'Am besten lernt man wenn man es macht. So hab ich alle hier nötigen Sprachen gelernt und ich lerne immer noch.', `LastLogin` = '2015-11-04 11:53:00', `Source_ApplicationID` = '1', `Target_UserID` = '1', `ApplicationID` = '1', ModificationTimestamp = NOW() WHERE UserID= '1';)

Die SQL Abfrage lautet:
$select = 'SELECT * FROM `ent_user`
                 INNER JOIN cmp_application2user ON ent_user.UserID = cmp_application2user.Target_UserID
                 INNER JOIN ent_application ON cmp_application2user.Source_ApplicationID = ent_application.ApplicationID
                 WHERE
                     ent_application.ApplicationID = \'' . $this->applicationId . '\'
                     AND `EMail` = \'' . $email . '\';';

Fehler wird vermieden durch:
$select = 'SELECT ent_user.* ...........
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])UmgtManager:740

Relationships

related to 0000271 resolvedChristianAchatz Funktion loadUserByEMail gibt nicht relevante Daten der Tabelle aus. 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-12-03 08:15 ChristianAchatz New Issue
2015-12-03 08:15 ChristianAchatz Status new => assigned
2015-12-03 08:15 ChristianAchatz Assigned To => ChristianAchatz
2015-12-03 08:15 ChristianAchatz Issue generated from: 0000271
2015-12-03 08:15 ChristianAchatz Relationship added related to 0000271
2015-12-03 08:15 ChristianAchatz Status assigned => resolved
2015-12-03 08:15 ChristianAchatz Fixed in Version => 3.0.3
2015-12-03 08:15 ChristianAchatz Resolution open => fixed